# Create a Code Analysis Test

Create a code analysis test to analyze HTML content for email client feature compatibility.

Endpoint: POST /v1/inspect/analyze
Version: 1.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Request fields (application/json):

  - `html` (string)

  - `url` (string)

  - `mime` (string)

  - `transfer_encoding` (string)

  - `charset` (string)

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `meta` (object | null)
    Metadata about the test creation including status and version

  - `items` (object, required)
    Details of the created test including ID and links

  - `items.id` (string, required)
    Unique identifier for the created test

  - `items.links` (object, required)
    Hypermedia links for accessing test resources

  - `items.links.self` (string, required)
    URL to access this resource

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401:

  - `401` (unknown)
    A 401 response

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

## Response 401 examples:

  - `Example` (unknown)

